# do not edit -- automatically generated by arch changelog
# tag: was-automatic-ChangeLog--lord@emf.net--2003/hackerlab--devo--1.0
#

2003-06-06 GMT	Tom Lord <lord@emf.net>	patch-23

    Summary:
      fixed error checking in vu_file_to_string
    Revision:
      hackerlab--devo--1.0--patch-23

    fixed error checking in vu_file_to_string

    modified files:
     ChangeLog vu/vu-utils.c


2003-06-03 GMT	Tom Lord <lord@emf.net>	patch-22

    Summary:
      new file-names functions (head and sans_head)
    Revision:
      hackerlab--devo--1.0--patch-22

    new file-names functions (head and sans_head)
    

    new files:
     piw-glob/PLUGIN/REQ piw-malloc/PLUGIN/REQ piw/PLUGIN/REQ

    removed files:
     piw-glob/UNPLUGGED/REQ piw-malloc/UNPLUGGED/REQ
     piw/UNPLUGGED/REQ

    modified files:
     ChangeLog Makefile.in fs/file-names.c fs/file-names.h

    renamed files:
     piw-glob/UNPLUGGED/.arch-ids/=dont-care
       ==> piw-glob/PLUGIN/.arch-ids/=dont-care
     piw/UNPLUGGED/.arch-ids/=dont-care
       ==> piw/PLUGIN/.arch-ids/=dont-care
     piw-malloc/UNPLUGGED/.arch-ids/=dont-care
       ==> piw-malloc/PLUGIN/.arch-ids/=dont-care


    new directories:
     piw-glob/PLUGIN piw-malloc/PLUGIN piw/PLUGIN
     piw-glob/PLUGIN/.arch-ids piw-malloc/PLUGIN/.arch-ids
     piw/PLUGIN/.arch-ids

    removed directories:
     piw-glob/UNPLUGGED piw-malloc/UNPLUGGED piw/UNPLUGGED
     piw-glob/UNPLUGGED/.arch-ids piw-malloc/UNPLUGGED/.arch-ids
     piw/UNPLUGGED/.arch-ids


2003-05-28 GMT	Tom Lord <lord@emf.net>	patch-21

    Summary:
      unplug PIW
    Revision:
      hackerlab--devo--1.0--patch-21

    unplug PIW

    new files:
     piw-glob/UNPLUGGED/REQ piw-malloc/UNPLUGGED/REQ
     piw/UNPLUGGED/REQ

    removed files:
     piw-glob/PLUGIN/REQ piw-malloc/PLUGIN/REQ piw/PLUGIN/REQ

    modified files:
     ChangeLog Makefile.in

    renamed files:
     piw-glob/PLUGIN/.arch-ids/=dont-care
       ==> piw-glob/UNPLUGGED/.arch-ids/=dont-care
     piw/PLUGIN/.arch-ids/=dont-care
       ==> piw/UNPLUGGED/.arch-ids/=dont-care
     piw-malloc/PLUGIN/.arch-ids/=dont-care
       ==> piw-malloc/UNPLUGGED/.arch-ids/=dont-care


    new directories:
     piw-glob/UNPLUGGED piw-malloc/UNPLUGGED piw/UNPLUGGED
     piw-glob/UNPLUGGED/.arch-ids piw-malloc/UNPLUGGED/.arch-ids
     piw/UNPLUGGED/.arch-ids

    removed directories:
     piw-glob/PLUGIN piw-malloc/PLUGIN piw/PLUGIN
     piw-glob/PLUGIN/.arch-ids piw-malloc/PLUGIN/.arch-ids
     piw/PLUGIN/.arch-ids


2003-05-27 GMT	Tom Lord <lord@emf.net>	patch-20

    Summary:
      added the malloc debugger back (for now)
    Revision:
      hackerlab--devo--1.0--patch-20

    added the malloc debugger back (for now)

    new files:
     piw-malloc/.arch-ids/=default
     piw-glob/PLUGIN/.arch-ids/=dont-care
     piw/PLUGIN/.arch-ids/=dont-care
     piw-malloc/PLUGIN/.arch-ids/=dont-care piw-malloc/piw-malloc.c
     piw/gdb.c piw-malloc/malloc.h piw-malloc/libc-malloc.c
     piw/=later/backtrace.c piw/piw.h piw/gdb.h piw/piw.c
     piw-glob/piw-glob.c piw-glob/Makefile.in piw/Makefile.in
     piw/instrumentation.doc
     piw-malloc/=scaffolding/log-formats.scm COPYING.PIW
     piw-malloc/=scaffolding/log-cogen.scm piw-malloc/libc-malloc.h
     piw/variables.h piw-malloc/errno.h piw-malloc/errno.c
     piw/log.c piw/log.h piw-malloc/watchpt-breakpoints.c
     piw/variables.c piw-malloc/piw-write-barriers.h
     piw-glob/PLUGIN/REQ piw-malloc/PLUGIN/REQ piw/PLUGIN/REQ
     piw-malloc/Makefile.in piw-malloc/gcc.c
     piw-malloc/log-printing.c piw-malloc/log-printing.h
     piw-malloc/logging.c piw-malloc/logging.h
     piw-malloc/piw-malloc.doc piw-malloc/piw-malloc.h
     piw-malloc/piw-variables.c piw-malloc/piw-variables.h
     piw-malloc/piw-write-barriers.c
     piw-malloc/watchpt-breakpoints.h
     piw-malloc/write-barrier-breakpoints.c
     piw-malloc/write-barrier-breakpoints.h
     piw-malloc/write-barriers.c piw-malloc/write-barriers.h

    modified files:
     ChangeLog Makefile.in

    new directories:
     piw piw-glob piw-glob/PLUGIN piw-malloc/=scaffolding
     piw-malloc/PLUGIN piw/=later piw/PLUGIN
     piw-glob/PLUGIN/.arch-ids piw-malloc/.arch-ids
     piw-malloc/PLUGIN/.arch-ids piw/PLUGIN/.arch-ids piw-malloc


2003-05-22 GMT	Tom Lord <lord@emf.net>	patch-19

    Summary:
      fixed return type of mem_cmp
    Revision:
      hackerlab--devo--1.0--patch-19

    fixed return type of mem_cmp
    

    modified files:
     =THANKS ChangeLog mem/mem.c mem/mem.h


2003-05-22 GMT	Tom Lord <lord@emf.net>	patch-18

    Summary:
      vu_file_is_directory use lstat not stat
    Revision:
      hackerlab--devo--1.0--patch-18

    vu_file_is_directory use lstat not stat
    

    modified files:
     ChangeLog vu/vu-utils.c


2003-05-17 GMT	Tom Lord <lord@emf.net>	patch-17

    Summary:
      file_name_directory_file, safe_current_working_directory, str_occurrences
    Revision:
      hackerlab--devo--1.0--patch-17

    
    
    Don't you think file_name_directory_file,
    safe_current_working_directory, str_occurrences all belong in the same
    changeset?  Why not?
    

    modified files:
     ChangeLog char/str.c char/str.h fs/cwd.c fs/cwd.h
     fs/file-names.c fs/file-names.h


2003-05-11 GMT	Tom Lord <lord@emf.net>	patch-16

    Summary:
      added needed header file in safe.c
    Revision:
      hackerlab--devo--1.0--patch-16

    Added needed header (hackerlab/os/errno.h) file in safe.c.
    
    

    modified files:
     ChangeLog vu/safe.c


2003-05-11 GMT	Tom Lord <lord@emf.net>	patch-15

    Summary:
      safe_access return value tweak
    Revision:
      hackerlab--devo--1.0--patch-15

    
    If `mode' is `F_OK' and the file does not exist, return -1 
    rather than panicing.
    

    modified files:
     ChangeLog vu/safe.c


2003-05-10 GMT	Tom Lord <lord@emf.net>	patch-14

    Summary:
      fixed return value of safe_readdir
    Revision:
      hackerlab--devo--1.0--patch-14

    `safe_readdir' should not panic on reaching the end of the directory
    list.
    

    modified files:
     ChangeLog vu/safe.c


2003-05-02 GMT	Tom Lord <lord@emf.net>	patch-13

    Summary:
      fixed code rot in sb.c
    Revision:
      hackerlab--devo--1.0--patch-13

    
    Fixed code rot in sb.c.
    

    modified files:
     =THANKS ChangeLog sb/sb.c


2003-05-01 GMT	Tom Lord <lord@emf.net>	patch-12

    Summary:
      updated =THANKS
    Revision:
      hackerlab--devo--1.0--patch-12

    
    Updated "./=THANKS".
    

    modified files:
     =THANKS ChangeLog


2003-05-01 GMT	Tom Lord <lord@emf.net>	patch-11

    Summary:
      fixed an rx bug
    Revision:
      hackerlab--devo--1.0--patch-11

    
    In rx_regmatch, during the scan to prune possible end positions of a
    match using DFA techiques, terminate the dfa_advance_to_final loop
    correctly.
    
    

    modified files:
     ChangeLog rx-posix/posix.c


2003-03-15 GMT	Tom Lord <lord@emf.net>	patch-10

    Summary:
      [issue26] spell stig's name properly!
    Revision:
      hackerlab--devo--1.0--patch-10

    Spell stig's name properly!
    

    modified files:
     =THANKS ChangeLog


2003-03-03 GMT	Tom Lord <lord@emf.net>	patch-9

    Summary:
      [arch issue42] 64bit fixes
    Revision:
      hackerlab--devo--1.0--patch-9

    
    Cast various integer constants to `size_t' or `bitset_subset_t'.
    
    
    

    modified files:
     ChangeLog bitsets/=scaffolding/=ffc.c
     bitsets/=scaffolding/=ffs.c bitsets/bitset.c
     tests/arrays-tests/unit-pow2-array.c
     unidata-scaffolding/unidata-generate.c


2003-03-02 GMT	Tom Lord <lord@emf.net>	patch-8

    Summary:
      fixed spelling errors
    Revision:
      hackerlab--devo--1.0--patch-8

    
    Fixed spelling errors.
    

    new files:
     rx-posix/posix.h rx-posix/regex.h rx-posix/posix.c

    removed files:
     rx-posix/posix.h rx-posix/regex.h rx-posix/posix.c

    modified files:
     ChangeLog


2003-02-14 GMT	Tom Lord <lord@emf.net>	patch-7

    Summary:
      trivial clean-ups
    Revision:
      hackerlab--devo--1.0--patch-7

    
    Cleaning up from rushing.
    

    modified files:
     ChangeLog bitsets/bitset.c bitsets/bitset.h mem/alloc-limits.c


2003-02-06 GMT	Tom Lord <lord@emf.net>	patch-6

    Summary:
      added lim_zalloc
    Revision:
      hackerlab--devo--1.0--patch-6

    Added a `lim_zalloc' function to allocate memory that is
    initialized to all 0s.
    

    modified files:
     ChangeLog mem/alloc-limits.c mem/alloc-limits.h


2003-01-27 GMT	Tom Lord <lord@emf.net>	patch-5

    Summary:
      cycled ChangeLogs
    Revision:
      hackerlab--devo--1.0--patch-5

    Cycled ChangeLogs.
    

    new files:
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.devo--1.0
     ChangeLog

    removed files:
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0


2003-01-26 GMT	Tom Lord <lord@emf.net>	patch-4

    Summary:
      use `rm' properly in Makefiles
    Revision:
      hackerlab--devo--1.0--patch-4

    Don't invoke `rm' for files not known to exist; don't invoke `rm' with
    the `-f' flag; don't ignore the exit status of `rm'.
    

    modified files:
     =THANKS ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     machine/Makefile.in os/Makefile.in tests/fs-tests/Makefile.in
     unidata/Makefile.in xml/Makefile.in


2003-01-26 GMT	Tom Lord <lord@emf.net>	patch-3

    Summary:
      fixed make-clean bugs
    Revision:
      hackerlab--devo--1.0--patch-3

    Fixed make-clean bugs.
    

    modified files:
     =THANKS ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     os/Makefile.in tests/bugs-tests/unit-panic.sh
     tests/bugs-tests/unit-test-coverage.sh unidata/Makefile.in


2003-01-25 GMT	Tom Lord <lord@emf.net>	patch-2

    Summary:
      fixed `str-many.c' bugs
    Revision:
      hackerlab--devo--1.0--patch-2

    Fixed some forehead-slapper bugs that I introduced into `str-many.c'
    while merging.

    modified files:
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     char/str-many.c tests/char-tests/unit-str.c


2003-01-17 GMT	Tom Lord <lord@regexps.com>	patch-1

    Summary:
      added vararg string functions
    Revision:
      hackerlab--devo--1.0--patch-1

    
    Added Scott Parish's vararg string functions.
    

    new files:
     char/str-many.h char/str-many.c

    modified files:
     =THANKS =TODO ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     char/str.c char/str.h tests/char-tests/unit-str.c


2003-01-16 GMT	Tom Lord <lord@regexps.com>	base-0

    Summary:
      tag of lord@regexps.com--2002/hackerlab--devo--1.0--patch-20
    Revision:
      hackerlab--devo--1.0--base-0

    (automatically generated log message)
    

    new patches:
     lord@regexps.com--2001Q4/hackerlab--devo--1.0--base-0
     lord@regexps.com--2001Q4/hackerlab--devo--1.0--patch-1
     lord@regexps.com--2001Q4/hackerlab--devo--1.0--patch-2
     lord@regexps.com--2001Q4/hackerlab--devo--1.0--patch-3
     lord@regexps.com--2001Q4/hackerlab--devo--1.0--patch-4
     lord@regexps.com--2001Q4/hackerlab--devo--1.0--patch-4
     lord@regexps.com--2002/hackerlab--devo--1.0--base-0
     lord@regexps.com--public-2001Q4/hackerlab--devo--1.0--base-0
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-1
     lord@regexps.com--2002/hackerlab--lord--1.0--base-0
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-1
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-2
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-2
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-3
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-4
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-5
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-6
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-7
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-3
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-4
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-5
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-8
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-9
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-10
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-11
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-6
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-12
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-7
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-13
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-8
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-14
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-15
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-16
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-9
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-17
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-18
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-10
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-19
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-20
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-21
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-22
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-11
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-23
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-24
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-25
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-26
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-12
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-27
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-13
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-14
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-28
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-15
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-16
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-29
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-30
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-31
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-32
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-17
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-18
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-33
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-19
     lord@regexps.com--2002/hackerlab--devo--1.0--patch-20
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-34
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-35
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-36
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-37
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-38
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-39
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-40
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-41


